Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.pageeditor.ParagraphEditingMgr Class Reference
Inheritance diagram for foxit.addon.pageeditor.ParagraphEditingMgr:

## Public Member Functions
| ParagraphEditingMgr (ParagraphEditingProviderCallback callback, PDFDoc document)
| Constructor. More...
| ParagraphEditingMgr (ParagraphEditingMgr other)
| Constructor, with another paragraph edit manager object. More...
JoinSplit | GetJoinSplit ()
| Get the join split object. More...
ParagraphEditing | GetParagraphEditing ()
| Get the paragraph edit object. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | SetSystemDPI (float horizontal_dpi, float vertical_dpi)
| Set the dpi for the paragraph editing provider used. More...

## Detailed Description

This class represents a paragraph editing manager used for editing PDF page.

User can call the function ParagraphEditingMgr.GetParagraphEditing to get current ParagraphEditing object in the process of using edit page. User can call the function ParagraphEditingMgr.GetJoinSplit to get current JoinSplit object in the process of using edit page.

See also
  ParagraphEditing
  JoinSplit

## Constructor & Destructor Documentation

## ◆ ParagraphEditingMgr() [1/2]

foxit.addon.pageeditor.ParagraphEditingMgr.ParagraphEditingMgr | ( | ParagraphEditingProviderCallback | callback,
|  | PDFDoc | document
| ) |  |
| inline

Constructor.

Parameters

  [in] | callback | A valid paragraph editing provider callback object.
  [in] | document | A valid PDF document object.

## ◆ ParagraphEditingMgr() [2/2]

foxit.addon.pageeditor.ParagraphEditingMgr.ParagraphEditingMgr | ( | ParagraphEditingMgr | other | ) |
| inline

Constructor, with another paragraph edit manager object.

Parameters

  [in] | other | Another paragraph edit manager object.

## Member Function Documentation

## ◆ GetJoinSplit()

JoinSplit foxit.addon.pageeditor.ParagraphEditingMgr.GetJoinSplit | ( |  | ) |
| inline

Get the join split object.

Returns
  The JoinSplit object.

## ◆ GetParagraphEditing()

ParagraphEditing foxit.addon.pageeditor.ParagraphEditingMgr.GetParagraphEditing | ( |  | ) |
| inline

Get the paragraph edit object.

Returns
  The ParagraphEditing object.

## ◆ IsEmpty()

bool foxit.addon.pageeditor.ParagraphEditingMgr.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetSystemDPI()

void foxit.addon.pageeditor.ParagraphEditingMgr.SetSystemDPI | ( | float | horizontal_dpi,
|  | float | vertical_dpi
| ) |  |
| inline

Set the dpi for the paragraph editing provider used.

Parameters

  [in] | horizontal_dpi | A horizontal dpi for paragraph editing provider. It should be greater than 0.Default Value:96.
  [in] | vertical_dpi | A vertical dpi for paragraph editing provider. It should be greater than 0. Default Value:96.

Returns
  None.